## CORBA Interface IExtendedAttributes

Processes Extended Dataset Attributes.

### Definition

CORBA Module SAS

### IExtendedAttributes Description

CORBA Definitions
exception InvalidOpenMode | The dataset is open with the wrong mode for this operation
exception DupTableAttribute |
exception DupColumnAttribute |
exception NoColumnAttribute |
exception NoTableAttribute |
exception NoTableAttributeUpdated |
exception NoColumnAttributeUpdated |
exception AttributeTruncated |
exception InvalidAttrFlags |
exception NoAttributes |
exception AttributeNameNeeded |
exception ColumnNameNeeded |
exception ExtendedAttributesNameInvalid |
exception ExtendedAttributesError |
const ExtendedAttributesDeleteFlag |
const ExtendedAttributesTableFlag |
const ExtendedAttributesColumnFlag |
const ExtendedAttributesCharacterTypeFlag |
const ExtendedAttributesNumericTypeFlag |
const ExtendedAttributesVolatileFlag |
const ExtendedAttributesDirtyDataFlag |
const ExtendedAttributesNamesOnlyFlag |
const ExtendedAttributesAddOrUpdateFlag |
const ExtendedAttributesDateTimeTypeFlag |
const ExtendedAttributesGenericFlag1 |
const ExtendedAttributesGenericFlag2 |
method CloseExtendedAttributes |
method AddAttribute |
method UpdateAttribute |
method DropAttribute |
method GetAttribute |
method OpenAttributeSearch |

Java Classes
IExtendedAttributesHelper | Used to manipulate the IExtendedAttributes type
IExtendedAttributesHolder | Used to process the IExtendedAttributes type as an out parameter
InvalidOpenMode | The dataset is open with the wrong mode for this operation
InvalidOpenModeHelper | Used to manipulate the InvalidOpenMode type
InvalidOpenModeHolder | Used to process the InvalidOpenMode type as an out parameter
DupTableAttribute |
DupTableAttributeHelper | Used to manipulate the DupTableAttribute type
DupTableAttributeHolder | Used to process the DupTableAttribute type as an out parameter
DupColumnAttribute |
DupColumnAttributeHelper | Used to manipulate the DupColumnAttribute type
DupColumnAttributeHolder | Used to process the DupColumnAttribute type as an out parameter
NoColumnAttribute |
NoColumnAttributeHelper | Used to manipulate the NoColumnAttribute type
NoColumnAttributeHolder | Used to process the NoColumnAttribute type as an out parameter
NoTableAttribute |
NoTableAttributeHelper | Used to manipulate the NoTableAttribute type
NoTableAttributeHolder | Used to process the NoTableAttribute type as an out parameter
NoTableAttributeUpdated |
NoTableAttributeUpdatedHelper | Used to manipulate the NoTableAttributeUpdated type
NoTableAttributeUpdatedHolder | Used to process the NoTableAttributeUpdated type as an out parameter
NoColumnAttributeUpdated |
NoColumnAttributeUpdatedHelper | Used to manipulate the NoColumnAttributeUpdated type
NoColumnAttributeUpdatedHolder | Used to process the NoColumnAttributeUpdated type as an out parameter
AttributeTruncated |
AttributeTruncatedHelper | Used to manipulate the AttributeTruncated type
AttributeTruncatedHolder | Used to process the AttributeTruncated type as an out parameter
InvalidAttrFlags |
InvalidAttrFlagsHelper | Used to manipulate the InvalidAttrFlags type
InvalidAttrFlagsHolder | Used to process the InvalidAttrFlags type as an out parameter
NoAttributes |
NoAttributesHelper | Used to manipulate the NoAttributes type
NoAttributesHolder | Used to process the NoAttributes type as an out parameter
AttributeNameNeeded |
AttributeNameNeededHelper | Used to manipulate the AttributeNameNeeded type
AttributeNameNeededHolder | Used to process the AttributeNameNeeded type as an out parameter
ColumnNameNeeded |
ColumnNameNeededHelper | Used to manipulate the ColumnNameNeeded type
ColumnNameNeededHolder | Used to process the ColumnNameNeeded type as an out parameter
ExtendedAttributesNameInvalid |
ExtendedAttributesNameInvalidHelper | Used to manipulate the ExtendedAttributesNameInvalid type
ExtendedAttributesNameInvalidHolder | Used to process the ExtendedAttributesNameInvalid type as an out parameter
ExtendedAttributesError |
ExtendedAttributesErrorHelper | Used to manipulate the ExtendedAttributesError type
ExtendedAttributesErrorHolder | Used to process the ExtendedAttributesError type as an out parameter

Java Interfaces
IExtendedAttributes | Processes Extended Dataset Attributes.
ExtendedAttributesDeleteFlag |
ExtendedAttributesTableFlag |
ExtendedAttributesColumnFlag |
ExtendedAttributesCharacterTypeFlag |
ExtendedAttributesNumericTypeFlag |
ExtendedAttributesVolatileFlag |
ExtendedAttributesDirtyDataFlag |
ExtendedAttributesNamesOnlyFlag |
ExtendedAttributesAddOrUpdateFlag |
ExtendedAttributesDateTimeTypeFlag |
ExtendedAttributesGenericFlag1 |
ExtendedAttributesGenericFlag2 |

Java Interface IExtendedAttributes

Processes Extended Dataset Attributes.

Package com.sas.iom.SAS

IExtendedAttributes Description

`public interface IExtendedAttributes
extends org.omg.CORBA.Object`

Method Summary

void | CloseExtendedAttributes ( int iFlags ) throws ( ExtendedAttributesError, GenericError );
void | AddAttribute ( java.lang.String attrName , int attrNamel , java.lang.String varName , int varNamel , java.lang.String attrValueS , int attrValuel , double attrValueD , byte attrValueM , int iFlags ) throws ( InvalidOpenMode, InvalidAttrFlags, DupTableAttribute, DupColumnAttribute, AttributeNameNeeded, ColumnNameNeeded, AttributeTruncated, ExtendedAttributesNameInvalid, ExtendedAttributesError, NoTableAttributeUpdated, NoColumnAttributeUpdated, GenericError );
void | UpdateAttribute ( java.lang.String attrName , int attrNamel , java.lang.String varName , int varNamel , java.lang.String attrValueS , int attrValuel , double attrValueD , byte attrValueM , int iFlags ) throws ( InvalidOpenMode, InvalidAttrFlags, NoTableAttributeUpdated, NoColumnAttributeUpdated, AttributeNameNeeded, ColumnNameNeeded, AttributeTruncated, ExtendedAttributesError, GenericError );
void | DropAttribute ( java.lang.String attrName , int attrNamel , java.lang.String varName , int varNamel , int iFlags ) throws ( InvalidOpenMode, InvalidAttrFlags, NoTableAttribute, NoColumnAttribute, ExtendedAttributesError, GenericError );
void | GetAttribute ( java.lang.String iAttrName , int iAttrNamel , java.lang.String iVarName , int iVarNamel , int iFlags , org.omg.CORBA.StringHolder oAttrValueS , org.omg.CORBA.IntHolder oAttrValuel , org.omg.CORBA.DoubleHolder oAttrValueD , org.omg.CORBA.ByteHolder oAttrValueM , org.omg.CORBA.IntHolder oFlags ) throws ( InvalidAttrFlags, NoTableAttribute, NoColumnAttribute, ExtendedAttributesError, GenericError );
IExtendedAttributeSearch | OpenAttributeSearch ( java.lang.String iVarName , int iVarNamel , int iFlags , long iRowsReturned ) throws ( InvalidAttrFlags, ExtendedAttributesError, GenericError );

Java Class IExtendedAttributesHelper

public class IExtendedAttributesHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IExtendedAttributes type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributesHelper

Java Class IExtendedAttributesHolder

public class IExtendedAttributesHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IExtendedAttributes type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributesHolder

CORBA Exception InvalidOpenMode

The dataset is open with the wrong mode for this operation

Description

Java Class InvalidOpenMode

public class InvalidOpenMode

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.InvalidOpenMode

Java Class InvalidOpenModeHelper

public class InvalidOpenModeHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the InvalidOpenMode type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.InvalidOpenModeHelper

Java Class InvalidOpenModeHolder

public class InvalidOpenModeHolder

Description
Implementing class for methods (_read, _write, _type) used to process the InvalidOpenMode type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.InvalidOpenModeHolder

CORBA Exception DupTableAttribute

Description

Java Class DupTableAttribute

public class DupTableAttribute

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.DupTableAttribute

Java Class DupTableAttributeHelper

public class DupTableAttributeHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the DupTableAttribute type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.DupTableAttributeHelper

Java Class DupTableAttributeHolder

public class DupTableAttributeHolder

Description
Implementing class for methods (_read, _write, _type) used to process the DupTableAttribute type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.DupTableAttributeHolder

CORBA Exception DupColumnAttribute

Description

Java Class DupColumnAttribute

public class DupColumnAttribute

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.DupColumnAttribute

Java Class DupColumnAttributeHelper

public class DupColumnAttributeHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the DupColumnAttribute type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.DupColumnAttributeHelper

Java Class DupColumnAttributeHolder

public class DupColumnAttributeHolder

Description
Implementing class for methods (_read, _write, _type) used to process the DupColumnAttribute type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.DupColumnAttributeHolder

CORBA Exception NoColumnAttribute

Description

Java Class NoColumnAttribute

public class NoColumnAttribute

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoColumnAttribute

Java Class NoColumnAttributeHelper

public class NoColumnAttributeHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the NoColumnAttribute type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoColumnAttributeHelper

Java Class NoColumnAttributeHolder

public class NoColumnAttributeHolder

Description
Implementing class for methods (_read, _write, _type) used to process the NoColumnAttribute type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoColumnAttributeHolder

CORBA Exception NoTableAttribute

Description

Java Class NoTableAttribute

public class NoTableAttribute

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoTableAttribute

Java Class NoTableAttributeHelper

public class NoTableAttributeHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the NoTableAttribute type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoTableAttributeHelper

Java Class NoTableAttributeHolder

public class NoTableAttributeHolder

Description
Implementing class for methods (_read, _write, _type) used to process the NoTableAttribute type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoTableAttributeHolder

CORBA Exception NoTableAttributeUpdated

Description

Java Class NoTableAttributeUpdated

public class NoTableAttributeUpdated

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoTableAttributeUpdated

Java Class NoTableAttributeUpdatedHelper

public class NoTableAttributeUpdatedHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the NoTableAttributeUpdated type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoTableAttributeUpdatedHelper

Java Class NoTableAttributeUpdatedHolder

public class NoTableAttributeUpdatedHolder

Description
Implementing class for methods (_read, _write, _type) used to process the NoTableAttributeUpdated type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoTableAttributeUpdatedHolder

CORBA Exception NoColumnAttributeUpdated

Description

Java Class NoColumnAttributeUpdated

public class NoColumnAttributeUpdated

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoColumnAttributeUpdated

Java Class NoColumnAttributeUpdatedHelper

public class NoColumnAttributeUpdatedHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the NoColumnAttributeUpdated type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoColumnAttributeUpdatedHelper

Java Class NoColumnAttributeUpdatedHolder

public class NoColumnAttributeUpdatedHolder

Description
Implementing class for methods (_read, _write, _type) used to process the NoColumnAttributeUpdated type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoColumnAttributeUpdatedHolder

CORBA Exception AttributeTruncated

Description

Java Class AttributeTruncated

public class AttributeTruncated

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.AttributeTruncated

Java Class AttributeTruncatedHelper

public class AttributeTruncatedHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the AttributeTruncated type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.AttributeTruncatedHelper

Java Class AttributeTruncatedHolder

public class AttributeTruncatedHolder

Description
Implementing class for methods (_read, _write, _type) used to process the AttributeTruncated type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.AttributeTruncatedHolder

CORBA Exception InvalidAttrFlags

Description

Java Class InvalidAttrFlags

public class InvalidAttrFlags

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.InvalidAttrFlags

Java Class InvalidAttrFlagsHelper

public class InvalidAttrFlagsHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the InvalidAttrFlags type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.InvalidAttrFlagsHelper

Java Class InvalidAttrFlagsHolder

public class InvalidAttrFlagsHolder

Description
Implementing class for methods (_read, _write, _type) used to process the InvalidAttrFlags type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.InvalidAttrFlagsHolder

CORBA Exception NoAttributes

Description

Java Class NoAttributes

public class NoAttributes

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoAttributes

Java Class NoAttributesHelper

public class NoAttributesHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the NoAttributes type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoAttributesHelper

Java Class NoAttributesHolder

public class NoAttributesHolder

Description
Implementing class for methods (_read, _write, _type) used to process the NoAttributes type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.NoAttributesHolder

CORBA Exception AttributeNameNeeded

Description

Java Class AttributeNameNeeded

public class AttributeNameNeeded

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.AttributeNameNeeded

Java Class AttributeNameNeededHelper

public class AttributeNameNeededHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the AttributeNameNeeded type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.AttributeNameNeededHelper

Java Class AttributeNameNeededHolder

public class AttributeNameNeededHolder

Description
Implementing class for methods (_read, _write, _type) used to process the AttributeNameNeeded type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.AttributeNameNeededHolder

CORBA Exception ColumnNameNeeded

Description

Java Class ColumnNameNeeded

public class ColumnNameNeeded

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.ColumnNameNeeded

Java Class ColumnNameNeededHelper

public class ColumnNameNeededHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the ColumnNameNeeded type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.ColumnNameNeededHelper

Java Class ColumnNameNeededHolder

public class ColumnNameNeededHolder

Description
Implementing class for methods (_read, _write, _type) used to process the ColumnNameNeeded type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.ColumnNameNeededHolder

CORBA Exception ExtendedAttributesNameInvalid

Description

Java Class ExtendedAttributesNameInvalid

public class ExtendedAttributesNameInvalid

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.ExtendedAttributesNameInvalid

Java Class ExtendedAttributesNameInvalidHelper

public class ExtendedAttributesNameInvalidHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the ExtendedAttributesNameInvalid type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.ExtendedAttributesNameInvalidHelper

Java Class ExtendedAttributesNameInvalidHolder

public class ExtendedAttributesNameInvalidHolder

Description
Implementing class for methods (_read, _write, _type) used to process the ExtendedAttributesNameInvalid type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.ExtendedAttributesNameInvalidHolder

CORBA Exception ExtendedAttributesError

Description

Java Class ExtendedAttributesError

public class ExtendedAttributesError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.ExtendedAttributesError

Java Class ExtendedAttributesErrorHelper

public class ExtendedAttributesErrorHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the ExtendedAttributesError type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.ExtendedAttributesErrorHelper

Java Class ExtendedAttributesErrorHolder

public class ExtendedAttributesErrorHolder

Description
Implementing class for methods (_read, _write, _type) used to process the ExtendedAttributesError type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributes_1_0Package.ExtendedAttributesErrorHolder

CORBA Const ExtendedAttributesDeleteFlag

Description

Java Interface ExtendedAttributesDeleteFlag

    package com.sas.iom.SAS;

    public interface IExtendedAttributes extends org.omg.CORBA.Object {
        public static final int interface ExtendedAttributesDeleteFlag = (int) 0x1;
    }

CORBA Const ExtendedAttributesTableFlag

Description

Java Interface ExtendedAttributesTableFlag

    package com.sas.iom.SAS;

    public interface IExtendedAttributes extends org.omg.CORBA.Object {
        public static final int interface ExtendedAttributesTableFlag = (int) 0x2;
    }

CORBA Const ExtendedAttributesColumnFlag

Description

Java Interface ExtendedAttributesColumnFlag

    package com.sas.iom.SAS;

    public interface IExtendedAttributes extends org.omg.CORBA.Object {
        public static final int interface ExtendedAttributesColumnFlag = (int) 0x4;
    }

CORBA Const ExtendedAttributesCharacterTypeFlag

Description

Java Interface ExtendedAttributesCharacterTypeFlag

    package com.sas.iom.SAS;

    public interface IExtendedAttributes extends org.omg.CORBA.Object {
        public static final int interface ExtendedAttributesCharacterTypeFlag = (int) 0x8;
    }

CORBA Const ExtendedAttributesNumericTypeFlag

Description

Java Interface ExtendedAttributesNumericTypeFlag

    package com.sas.iom.SAS;

    public interface IExtendedAttributes extends org.omg.CORBA.Object {
        public static final int interface ExtendedAttributesNumericTypeFlag = (int) 0x10;
    }

CORBA Const ExtendedAttributesVolatileFlag

Description

Java Interface ExtendedAttributesVolatileFlag

    package com.sas.iom.SAS;

    public interface IExtendedAttributes extends org.omg.CORBA.Object {
        public static final int interface ExtendedAttributesVolatileFlag = (int) 0x20;
    }

CORBA Const ExtendedAttributesDirtyDataFlag

Description

Java Interface ExtendedAttributesDirtyDataFlag

    package com.sas.iom.SAS;

    public interface IExtendedAttributes extends org.omg.CORBA.Object {
        public static final int interface ExtendedAttributesDirtyDataFlag = (int) 0x40;
    }

CORBA Const ExtendedAttributesNamesOnlyFlag

Description

Java Interface ExtendedAttributesNamesOnlyFlag

    package com.sas.iom.SAS;

    public interface IExtendedAttributes extends org.omg.CORBA.Object {
        public static final int interface ExtendedAttributesNamesOnlyFlag = (int) 0x80;
    }

CORBA Const ExtendedAttributesAddOrUpdateFlag

Description

Java Interface ExtendedAttributesAddOrUpdateFlag

    package com.sas.iom.SAS;

    public interface IExtendedAttributes extends org.omg.CORBA.Object {
        public static final int interface ExtendedAttributesAddOrUpdateFlag = (int) 0x100;
    }

CORBA Const ExtendedAttributesDateTimeTypeFlag

Description

Java Interface ExtendedAttributesDateTimeTypeFlag

    package com.sas.iom.SAS;

    public interface IExtendedAttributes extends org.omg.CORBA.Object {
        public static final int interface ExtendedAttributesDateTimeTypeFlag = (int) 0x200;
    }

CORBA Const ExtendedAttributesGenericFlag1

Description

Java Interface ExtendedAttributesGenericFlag1

    package com.sas.iom.SAS;

    public interface IExtendedAttributes extends org.omg.CORBA.Object {
        public static final int interface ExtendedAttributesGenericFlag1 = (int) 0x400;
    }

CORBA Const ExtendedAttributesGenericFlag2

Description

Java Interface ExtendedAttributesGenericFlag2

    package com.sas.iom.SAS;

    public interface IExtendedAttributes extends org.omg.CORBA.Object {
        public static final int interface ExtendedAttributesGenericFlag2 = (int) 0x800;
    }

CORBA Method CloseExtendedAttributes

Description

Usage

Java Method CloseExtendedAttributes

`void` CloseExtendedAttributes (

        int iFlags
        )
        throws (
                ExtendedAttributesError,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
iFlags | in | int |

Example

CORBA Method AddAttribute

Description

Usage

Java Method AddAttribute

`void` AddAttribute (

        java.lang.String attrName ,
        int attrNamel ,
        java.lang.String varName ,
        int varNamel ,
        java.lang.String attrValueS ,
        int attrValuel ,
        double attrValueD ,
        byte attrValueM ,
        int iFlags
        )
        throws (
                InvalidOpenMode,
                InvalidAttrFlags,
                DupTableAttribute,
                DupColumnAttribute,
                AttributeNameNeeded,
                ColumnNameNeeded,
                AttributeTruncated,
                ExtendedAttributesNameInvalid,
                ExtendedAttributesError,
                NoTableAttributeUpdated,
                NoColumnAttributeUpdated,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
attrName | in | java.lang.String |
attrNamel | in | int |
varName | in | java.lang.String |
varNamel | in | int |
attrValueS | in | java.lang.String |
attrValuel | in | int |
attrValueD | in | double |
attrValueM | in | byte |
iFlags | in | int |

Example

CORBA Method UpdateAttribute

Description

Usage

Java Method UpdateAttribute

`void` UpdateAttribute (

        java.lang.String attrName ,
        int attrNamel ,
        java.lang.String varName ,
        int varNamel ,
        java.lang.String attrValueS ,
        int attrValuel ,
        double attrValueD ,
        byte attrValueM ,
        int iFlags
        )
        throws (
                InvalidOpenMode,
                InvalidAttrFlags,
                NoTableAttributeUpdated,
                NoColumnAttributeUpdated,
                AttributeNameNeeded,
                ColumnNameNeeded,
                AttributeTruncated,
                ExtendedAttributesError,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
attrName | in | java.lang.String |
attrNamel | in | int |
varName | in | java.lang.String |
varNamel | in | int |
attrValueS | in | java.lang.String |
attrValuel | in | int |
attrValueD | in | double |
attrValueM | in | byte |
iFlags | in | int |

Example

CORBA Method DropAttribute

Description

Usage

Java Method DropAttribute

`void` DropAttribute (

        java.lang.String attrName ,
        int attrNamel ,
        java.lang.String varName ,
        int varNamel ,
        int iFlags
        )
        throws (
                InvalidOpenMode,
                InvalidAttrFlags,
                NoTableAttribute,
                NoColumnAttribute,
                ExtendedAttributesError,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
attrName | in | java.lang.String |
attrNamel | in | int |
varName | in | java.lang.String |
varNamel | in | int |
iFlags | in | int |

Example

CORBA Method GetAttribute

Description

Usage

Java Method GetAttribute

`void` GetAttribute (

        java.lang.String iAttrName ,
        int iAttrNamel ,
        java.lang.String iVarName ,
        int iVarNamel ,
        int iFlags ,
        org.omg.CORBA.StringHolder oAttrValueS ,
        org.omg.CORBA.IntHolder oAttrValuel ,
        org.omg.CORBA.DoubleHolder oAttrValueD ,
        org.omg.CORBA.ByteHolder oAttrValueM ,
        org.omg.CORBA.IntHolder oFlags
        )
        throws (
                InvalidAttrFlags,
                NoTableAttribute,
                NoColumnAttribute,
                ExtendedAttributesError,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
iAttrName | in | java.lang.String |
iAttrNamel | in | int |
iVarName | in | java.lang.String |
iVarNamel | in | int |
iFlags | in | int |
oAttrValueS | out | org.omg.CORBA.StringHolder |
oAttrValuel | out | org.omg.CORBA.IntHolder |
oAttrValueD | out | org.omg.CORBA.DoubleHolder |
oAttrValueM | out | org.omg.CORBA.ByteHolder |
oFlags | out | org.omg.CORBA.IntHolder |

Example

CORBA Method OpenAttributeSearch

Description

Usage

Java Method OpenAttributeSearch

`public IExtendedAttributeSearch` OpenAttributeSearch (

        java.lang.String iVarName ,
        int iVarNamel ,
        int iFlags ,
        long iRowsReturned
        )
        throws (
                InvalidAttrFlags,
                ExtendedAttributesError,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
iVarName | in | java.lang.String |
iVarNamel | in | int |
iFlags | in | int |
iRowsReturned | in | long |

Example